// Copyright 2023 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package document

import (
	"gopkg.in/yaml.v3"
)

type document struct {
	Absolute string `yaml:"-"`
	File     string `yaml:"-"`

	// remember the node structure of yaml
	OriginNode *yaml.Node `yaml:"-"`
	OriginText string     `yaml:"-"`

	Title        string     `yaml:"Title"`
	Abbreviation string     `yaml:"Abbreviation"`
	References   []string   `yaml:"References"`
	Keywords     []string   `yaml:"Keywords"`
	Authors      []string   `yaml:"Authors"`
	Version      string     `yaml:"Version"`
	Created      LocaleTime `yaml:"Created"`
	LastUpdate   LocaleTime `yaml:"Last Update"`
	Language     string     `yaml:"Language"`
	Level        int        `yaml:"Level"`
	ID           string     `yaml:"ID"`
}
