// Copyright 2023 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package environment

import (
	"gitlab.schukai.com/oss/utilities/documentation-manager/translations"
	"os"
)

const ExitWithCodeSymbol = "exit with code"

func (e *stateStruct) Exit() {
	PrintMessages()
	panic(ExitWithCodeSymbol)
}

func Exit() {

	for _, fkt := range Handlers.Shutdown {
		f := *fkt
		f()
	}

	os.Exit(State.exitCode)
}

func ExitWithError(code int, message string, a ...interface{}) {
	State.SetCode(code).AddError(translations.T.Sprintf(message, a)).Exit()
}
