// Copyright 2023 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package environment

func (e *stateStruct) GetPDFOutputPath() string {
	return e.sanityConfigPath(e.configuration.Document.PDF.Output)
}

func (e *stateStruct) GetPDFLatexTemplatePath(arg string) string {
	if arg != "" {
		return arg
	}

	if e.configuration.Document.PDF.Templates.Latex != "" {
		return e.sanityConfigPath(e.configuration.Document.PDF.Templates.Latex)
	}

	return ""
}

func (e *stateStruct) GetPDFMarkdownTemplatePath(arg string) string {
	if arg != "" {
		return arg
	}

	if e.configuration.Document.PDF.Templates.Markdown != "" {
		return e.sanityConfigPath(e.configuration.Document.PDF.Templates.Markdown)
	}

	return ""
}
func (e *stateStruct) GetDocumentPDFOutputPath(arg string) string {
	if arg != "" {
		return arg
	}

	if e.configuration.Document.PDF.Output != "" {
		return e.sanityConfigPath(e.configuration.Document.PDF.Output)
	}

	return ""
}
