// Code generated by running "go generate" in golang.org/x/text. DO NOT EDIT.

package translations

import (
	"golang.org/x/text/language"
	"golang.org/x/text/message"
	"golang.org/x/text/message/catalog"
)

type dictionary struct {
	index []uint32
	data  string
}

func (d *dictionary) Lookup(key string) (data string, ok bool) {
	p, ok := messageKeyToIndex[key]
	if !ok {
		return "", false
	}
	start, end := d.index[p], d.index[p+1]
	if start == end {
		return "", false
	}
	return d.data[start:end], true
}

func init() {
	dict := map[string]catalog.Dictionary{
		"de": &dictionary{index: deIndex, data: deData},
		"en": &dictionary{index: enIndex, data: enData},
	}
	fallback := language.MustParse("en")
	cat, err := catalog.NewFromMap(dict, catalog.Fallback(fallback))
	if err != nil {
		panic(err)
	}
	message.DefaultCatalog = cat
}

var messageKeyToIndex = map[string]int{
	"A temporary file cannot be created":           40,
	"Adds a new document":                          26,
	"Build the documentation as PDF":               34,
	"Builds the documentation":                     30,
	"Code block %s,  in file %s, is not closed":    46,
	"Command %s not found":                         3,
	"Error":                                        0,
	"Functions for creating and editing documents": 23,
	"Info":                    2,
	"No active command found": 19,
	"Not permitted":           4,
	"Prints the version and build information": 36,
	"Server command":                       39,
	"The current directory cannot be read": 44,
	"The file %s cannot be read":           45,
	"This program can be used to create documentation for your project.": 20,
	"This program can be used to create documentation for your project.\nIt can be used to create a new documentation project,\nadd new documentation to an existing project, or to generate\ndocumentation from a source code project.": 21,
	"Unknown Error: %s": 18,
	"Warn":              1,
	"base directory in which the documents are saved": 24,
	"build: %s\n":                       38,
	"date format for the creation date": 25,
	"directory in which the finished documentation is to be written": 31,
	"duplicated flag":                    12,
	"expected argument":                  6,
	"file extension %s is not supported": 33,
	"file extension %s, in file %s, not supported for relative links": 42,
	"file names of the new documents, separated by spaces":            28,
	"flag error unknown":                                      5,
	"format of the finished documentation":                    32,
	"handler %s not found":                                    22,
	"if the type is pdf, the output option must be specified": 41,
	"invalid choice":                                          15,
	"invalid tag":                                             16,
	"marshal":                                                 9,
	"no argument for bool":                                    10,
	"no document name given":                                  29,
	"relative path %s, in file %s, cannot be resolved":        43,
	"short name too long":                                     11,
	"tag %s":                                                  13,
	"template for the new document":                           27,
	"unknown command":                                         14,
	"unknown flag":                                            7,
	"unknown group":                                           8,
	"unrecognized error type":                                 17,
	"verbose output":                                          35,
	"version: %s\n":                                           37,
}

var deIndex = []uint32{ // 48 elements
	// Entry 0 - 1F
	0x00000000, 0x00000007, 0x0000000f, 0x00000014,
	0x00000014, 0x00000014, 0x00000014, 0x00000014,
	0x00000014, 0x00000014, 0x00000014, 0x00000014,
	0x00000014, 0x00000014, 0x00000014, 0x00000014,
	0x00000014, 0x00000014, 0x00000014, 0x00000014,
	0x00000014, 0x00000014, 0x00000014, 0x00000014,
	0x00000014, 0x00000014, 0x00000014, 0x00000014,
	0x00000014, 0x00000014, 0x00000014, 0x00000014,
	// Entry 20 - 3F
	0x00000014, 0x00000014, 0x00000014, 0x00000014,
	0x00000014, 0x00000014, 0x00000014, 0x00000014,
	0x00000014, 0x00000014, 0x00000014, 0x00000014,
	0x00000014, 0x00000014, 0x00000014, 0x00000014,
} // Size: 216 bytes

const deData string = "\x02Fehler\x02Warnung\x02Info"

var enIndex = []uint32{ // 48 elements
	// Entry 0 - 1F
	0x00000000, 0x00000006, 0x0000000b, 0x00000010,
	0x00000028, 0x00000036, 0x00000049, 0x0000005b,
	0x00000068, 0x00000076, 0x0000007e, 0x00000093,
	0x000000a7, 0x000000b7, 0x000000c1, 0x000000d1,
	0x000000e0, 0x000000ec, 0x00000104, 0x00000119,
	0x00000131, 0x00000174, 0x00000254, 0x0000026c,
	0x00000299, 0x000002c9, 0x000002eb, 0x00000318,
	0x00000336, 0x0000036b, 0x00000382, 0x000003af,
	// Entry 20 - 3F
	0x000003ee, 0x00000413, 0x00000439, 0x00000466,
	0x00000475, 0x000004a2, 0x000004b6, 0x000004c8,
	0x000004f5, 0x00000518, 0x00000550, 0x00000596,
	0x000005cd, 0x000005f2, 0x00000610, 0x00000640,
} // Size: 216 bytes

const enData string = "" + // Size: 1600 bytes
	"\x02Error\x02Warn\x02Info\x02Command %[1]s not found\x02Not permitted" +
	"\x02flag error unknown\x02expected argument\x02unknown flag\x02unknown g" +
	"roup\x02marshal\x02no argument for bool\x02short name too long\x02duplic" +
	"ated flag\x02tag %[1]s\x02unknown command\x02invalid choice\x02invalid t" +
	"ag\x02unrecognized error type\x02Unknown Error: %[1]s\x02No active comma" +
	"nd found\x02This program can be used to create documentation for your pr" +
	"oject.\x02This program can be used to create documentation for your proj" +
	"ect.\x0aIt can be used to create a new documentation project,\x0aadd new" +
	" documentation to an existing project, or to generate\x0adocumentation f" +
	"rom a source code project.\x02handler %[1]s not found\x02Functions for c" +
	"reating and editing documents\x02base directory in which the documents a" +
	"re saved\x02date format for the creation date\x02Functions for creating " +
	"and editing documents\x02template for the new document\x02file names of " +
	"the new documents, separated by spaces\x02no document name given\x02Func" +
	"tions for creating and editing documents\x02directory in which the finis" +
	"hed documentation is to be written\x02format of the finished documentati" +
	"on\x02file extension %[1]s is not supported\x02Functions for creating an" +
	"d editing documents\x02verbose output\x02Functions for creating and edit" +
	"ing documents\x04\x00\x01\x0a\x0f\x02version: %[1]s\x04\x00\x01\x0a\x0d" +
	"\x02build: %[1]s\x02Functions for creating and editing documents\x02A te" +
	"mporary file cannot be created\x02if the type is pdf, the output option " +
	"must be specified\x02file extension %[1]s, in file %[2]s, not supported " +
	"for relative links\x02relative path %[1]s, in file %[2]s, cannot be reso" +
	"lved\x02The current directory cannot be read\x02The file %[1]s cannot be" +
	" read\x02Code block %[1]s,  in file %[2]s, is not closed"

	// Total table size 2052 bytes (2KiB); checksum: 1DBBEC4
